Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent types

GET/workspaces/{organizationId}/agent-types
Path parameters
organizationIdstringrequired
Responses
200

Registered agent types for the workspace

agentTypesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
slugstringrequired
namestringrequired
providerAgentIdstringrequired
jobSpecstring | nullrequired
toolScopestring | nullrequired
permissionsTierstring | nullrequired
enablednumberrequired
createdBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/agent-types' \
  -H 'Accept: application/json'
Response
{
  "agentTypes": [
    {
      "id": "string",
      "organizationId": "string",
      "slug": "string",
      "name": "string",
      "providerAgentId": "string",
      "jobSpec": "string",
      "toolScope": "string",
      "permissionsTier": "string",
      "enabled": 0,
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?